Bug 126309 - Mkinitrd assumes improper /proc/scsi layout vs. stock 2.6.7 kernel
Mkinitrd assumes improper /proc/scsi layout vs. stock 2.6.7 kernel
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2004-06-18 16:08 EDT by W. Michael Petullo
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: mkinitrd-3.5.24-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-19 23:44:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2004-06-18 16:08:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
The mkinitrd script's --with-usb option does not seem to work with the
stock PowerPC 2.6.7 Linux kernel.  Mkinitrd contains:

if [ -d /proc/scsi/usb-storage-${host} ]; then

However, on my system I do not see a directory at
/proc/scsi/usb-storage-1, I DO see a file at /proc/scsi/usb-storage/1.
 So, the condition above SHOULD read:

if [ -f /proc/scsi/usb-storage/${host} ]; then

I could not find any patches included in the Red Hat kernel that would
cause it to deviate from the stock /proc/scsi layout.  However, I did
not see any architecture-specific code in the kernel's
drivers/usb/storage/scsiglue.c that would indicate a difference
between x86 and PowerPC either.  Am I missing something?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Try to execute "mkinitrd --use-usb ..." on a kernel.org stock PowerPC
2.6.7 Linux kernel.

Actual Results:  The USB modules are not copied to the initrd that
mkinitrd creates.  The variable $needusb is never set to 1 even though
my system needs USB to boot.

Additional info:

When using Red Hat's kernel-2.6.3- on an x86 box, this is
not a problem.  In this case, the directory
/proc/scsi/usb-storage-${host} DOES exist.
Comment 1 Jeremy Katz 2004-06-18 18:01:18 EDT
This changed during the middle of the 2.6 kernel tree.  *sigh*

Fixed in mkinitrd-3.5.24 (while keeping the old working as well)
Comment 2 W. Michael Petullo 2004-06-18 18:09:55 EDT
Great, I will test that version as soon as I can.  By the way, why
would an interface change when the documentation states it only exists
for "backwards compatibility?"  My understanding was that /proc/scsi
was migrated to sysfs.
Comment 3 W. Michael Petullo 2004-06-19 23:44:07 EDT
It looks like mkinitrd-3.5.24-1 fixed this bug.

Note You need to log in before you can comment on or make changes to this bug.